#include <iostream>
#include <string>
using namespace std;
int main(){
cin.tie(0);
cout.tie(0);
ios::sync_with_stdio(0);
    string s,res;
    int a,b;
    cin >> s >> a >> b;
    if(a<b) swap(s[0],s[1]);
    if(abs(a-b)>1){
        cout << "nemoguce" << '\n';
    }
    else{
        for(int i=0;i<a+b;++i){
            res+=(i%2)?s[1]:s[0];
        }
    }
    cout << res << '\n';
    return 0;
}